NSX-T Data Center REST API

Return the Properties of a Trust Manager

Returns information about the supported algorithms and key sizes.

Request:

Method:
GET
URI Path(s):
/api/v1/trust-management
Request Headers:
n/a
Query Parameters:
TrustManagementDataRequestParameters+
Request Body:
n/a

Example Request:

GET https://<nsx-mgr>/api/v1/trust-management?for_certificate_generation=true

Successful Response:

Response Code:
200 OK
Response Headers:
Content-type: application/json
Response Body:
TrustManagementData+

Example Response:

{ "supported_algorithms": [ { "name": "RSA", "key_size": [ 2048, 3072, 4096 ] }, { "name": "EC", "key_size": [ 256, 384, 521 ] } ], "supported_signature_algorithms": [ { "name": "SHA256WithRsaEncryption", "oid": "1.2.840.113549.1.1.11" }, { "name": "SHA384WithRsaEncryption", "oid": "1.2.840.113549.1.1.12" }, { "name": "SHA512WithRsaEncryption", "oid": "1.2.840.113549.1.1.13" }, { "name": "ECDSA-WITH-SHA256", "oid": "1.2.840.10045.4.3.2" }, { "name": "ECDSA-WITH-SHA384", "oid": "1.2.840.10045.4.3.3" }, { "name": "ECDSA-WITH-SHA512", "oid": "1.2.840.10045.4.3.4" } ], "approved_ec_curves": [ { "name": "secp256r1", "oid": "1.2.840.10045.3.1.7" }, { "name": "secp384r1", "oid": "1.3.132.0.34" }, { "name": "secp521r1", "oid": "1.3.132.0.35" } ] }

Required Permissions:

read

Feature:

trust_certificates

Additional Errors: